> ## Documentation Index
> Fetch the complete documentation index at: https://docs.myme.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List distinct tags in use

> Returns every distinct tag in use across items the caller can read, with a usage count per tag, sorted by count descending then tag ascending. Tenant-scoped, type-permission scoped, excludes trashed items. Use to populate tag pickers, autocomplete, or `all tags` UI without iterating items. See [Metadata — listing all tags](/concepts/metadata#listing-all-tags).



## OpenAPI

````yaml /openapi.json get /metadata/tags
openapi: 3.1.0
info:
  title: Marfa API
  version: 4.2.0
  description: Typed data layer for structured personal data
servers: []
security: []
paths:
  /metadata/tags:
    get:
      tags:
        - Metadata
      summary: List distinct tags in use
      description: >-
        Returns every distinct tag in use across items the caller can read, with
        a usage count per tag, sorted by count descending then tag ascending.
        Tenant-scoped, type-permission scoped, excludes trashed items. Use to
        populate tag pickers, autocomplete, or `all tags` UI without iterating
        items. See [Metadata — listing all
        tags](/concepts/metadata#listing-all-tags).
      responses:
        '200':
          description: >-
            Distinct tags with usage counts, sorted by count descending then tag
            ascending. Tenant-scoped; type-permission scoped; trashed items
            excluded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  tags:
                    type: array
                    items:
                      type: object
                      properties:
                        tag:
                          type: string
                        count:
                          type: integer
                      required:
                        - tag
                        - count
                required:
                  - tags
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                    required:
                      - code
                      - message
                required:
                  - error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key or OAuth Token
      description: Pass an API key (marfa_k1_...) or OAuth access token (marfa_at_...)

````